// KillMenuBar by Lathiat < Lathiat @ windows-sucks.com >

#include <vcl>
#define retOK strcpy(data, "S_OK KillMenuBar v1.2 by Lathiat"); return 3;

extern "C" __declspec(dllexport) int __stdcall DLLInfo(HWND mWnd, HWND aWnd, char *data, char *parms, BOOL show, BOOL nopause);
extern "C" __declspec(dllexport) int __stdcall KillMenuBar(HWND mWnd, HWND aWnd, char *data, char *parms, BOOL show, BOOL nopause);
extern "C" __declspec(dllexport) int __stdcall KMBpass(HWND mWnd, HWND aWnd, char *data, char *parms, BOOL show, BOOL nopause);


int WINAPI DllEntryPoint(HINSTANCE hinst, unsigned long reason, void*) { return 1; }
int __stdcall KillMenuBar(HWND mWnd, HWND aWnd, char *data, char *parms, BOOL show, BOOL nopause)
{
  SetMenu(mWnd, NULL);
  retOK;
}
int __stdcall KMBpass(HWND mWnd, HWND aWnd, char *data, char *parms, BOOL show, BOOL nopause)
{
  SetMenu(data, NULL);
  retOK;
}
int __stdcall DLLInfo(HWND mWnd, HWND aWnd, char *data, char *parms, BOOL show, BOOL nopause)
{
  retOK;
}

